# eth\_sendBundle

```json
{
  "jsonrpc": "2.0",
  "id": 1,
  "method": "eth_sendBundle",
  "params": [
    {
      txs,                  // Array[String], A list of signed transactions to execute in an atomic bundle
      blockNumber,          // (Optional) String, a hex-encoded block number for which this bundle is valid. Default, current block number
      minTimestamp,         // (Optional) Number, the minimum timestamp for which this bundle is valid, in seconds since the unix epoch
      maxTimestamp,         // (Optional) Number, the maximum timestamp for which this bundle is valid, in seconds since the unix epoch
      revertingTxHashes,    // (Optional) Array[String], A list of tx hashes that are allowed to revert
      droppingTxHashes,     // (Optional) Array[String], A list of tx hashes that are allowed to be discarded, but may not revert
      replacementUuid,      // (Optional) String, UUID that can be used to cancel/replace this bundle
      replacementSeqNumber, // (Optional) Number, monotonically increasing sequence for bundles sharing the same replacementUuid. Later bundles must have a higher sequence or they are dropped. If 0 or omitted, ordering falls back to builder receive time
      refundPercent,        // (Optional) Number, The percent(from 0 to 99) of full bundle ETH reward that should be passed back to the user(refundRecipient) at the end of the bundle.
      refundRecipient,      // (Optional) String, Address of the wallet that will receive the ETH reward refund from this bundle, default value = EOA of the first transaction inside the bundle.
      refundTxHashes        // (Optional) Array[String], Maximum length of 1 tx hash from which the refund is calculated. Defaults to final transaction in the bundle if list is not specified/empty.
    }
  ]
}
```

#### Sponsored Bundles

Quasar Builder now supports sponsored bundles. If you send a bundle with a transaction that fails with `LackOfFundForGasLimit`, we will send the ETH required to cover the gas fees.

The bundle must increase the builder balance in order to cover the cost of sponsoring the bundle.

### Example:

```json
{
  "jsonrpc": "2.0",
  "id": 123,
  "method": "eth_sendBundle",
  "params": [
    {
      "txs": ["0x123abc...", "0x456def..."],
      "blockNumber": "0xb63dcd",
      "minTimestamp": 0,
      "maxTimestamp": 1615920932
    }
  ]
}
```

### Example Response:

```json
{
  "jsonrpc": "2.0",
  "id": "123",
  "result": {
    {
    "bundleHash": "0x1234567890abcdef..."
    }
  }
}
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.quasar.win/api/eth_sendbundle.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
